    @ECHO OFF
    ECHO OFF

:AGAIN
    PSMENU_D SAPPHIRE MISC 002
    IF ERRORLEVEL 10 GOTO QUIT
    IF ERRORLEVEL  2 GOTO CREDITS
    IF ERRORLEVEL  1 GOTO SOUNDS
    GOTO ERR

:ERR
    ECHO Batch file error -- please inform Pinnacle at 514-345-9578.
    PAUSE
    GOTO AGAIN

:CREDITS
    SHOWSBX SAPPHIRE CREDIT
    GOTO AGAIN

:SOUNDS
    SOUND
    GOTO AGAIN

:QUIT
    IF (%1) == (X) SYSOP X
